# 🌟 Encryptify: Unveil the Enigma of Binary Encryption! 🚀

Welcome to the fascinating world of Encryptify! 🎉 Encrypt and decrypt your messages in a unique and captivating way using Python. With just two enchanting functions, you can transform ordinary text into mesmerizing binary patterns and decode them back to their original form.

Explore more about this project on [my website](https://tinyurl.com/akash-nath), and don't miss out on other exciting projects by following me on [GitHub](https://github.com/Akash-nath29)!

## Installation

Get started on your journey with BinaryCrypt by installing it using pip:

```bash
pip install encryptify
```

## Features 🌈

### Encrypt Function 🔐

The `encrypt` function takes your everyday text and turns it into a hypnotic sequence of dots and spaces. Watch your words transform into an enigmatic binary dance!

```python
from encryptify import encrypt

data = "Hello, world!"
encrypted_data = encrypt(data)
print(encrypted_data)  # Output: " .  .    ..  . . .. ..   .. ..   .. ....  . ..    .      ... ... .. .... ...  .  .. ..   ..  .    .    ."
```

### Decrypt Function 🔓

Decipher the enigma with the `decrypt` function! It transforms dots into 1s and spaces into 0s, elegantly converting binary text back into its original form.

```python
from encryptify import decrypt

binary_data = " .  .    ..  . . .. ..   .. ..   .. ....  . ..    .      ... ... .. .... ...  .  .. ..   ..  .    .    ."
decrypted_data = decrypt(binary_data)
print(decrypted_data)  # Output: "HELLO WORLD"
```

**Note:** Please ensure that you only use data with dots and spaces for decryption. Any other characters will lead to a charming `TypeError`.

## Join the Adventure! 🌐

Ready to contribute to the magic of Encryptify? If you stumble upon any enigmatic issues or have brilliant ideas, feel free to open an issue or pull request on [GitHub](https://github.com/Akash-nath29/BinaryCrypt). Let's unravel this puzzle together!

## Credits 🙌

Encryptify is lovingly crafted by the one and only [Akash Nath](https://tinyurl.com/akash-nath). Dive into his world of innovation by following him on [GitHub](https://github.com/Akash-nath29)!

## License 📜

Encryptify operates under the enchanting spell of the [MIT License](https://github.com/Akash-nath29/encryptify/blob/main/LICENSE). Your journey into the world of binary wonders has just begun! 🌌